interface FrameworkDetector {
    readonly requiredDependencies?: Array<string>;
    readonly requiredFiles?: Array<string>;
    readonly framework: Framework;
}
export declare function match(detector: FrameworkDetector, entry?: string): Promise<boolean>;
/**
 * A static site generator framework.
 */
export interface Framework {
    /**
     * The name of the framework.
     */
    readonly name: string;
    /**
     * The publish directory.
     */
    readonly dist: string;
    /**
     * The build command used to generate the static site.
     *
     * @default - build command unknown
     */
    readonly build?: string;
}
/**
 * Detect the framework this project is based on.
 */
export declare function detectFramework(entry?: string): Promise<Framework | undefined>;
export {};
