/**
 * Check whether .ness is already being gitignored.
 */
export declare function isIgnoringNessDirectory(): Promise<boolean>;
/**
 * Add .ness to .gitignore if it's not already there.
 */
export declare function gitIgnoreNessDirectory(): Promise<boolean>;
/**
 * Add a pattern to .gitignore. If .gitignore does not exist, it will be created.
 *
 * @param pattern The pattern to be added to .gitignore.
 * @param comment An optional comment above the ignore statement.
 */
export declare function gitIgnore(pattern: string, comment?: string): Promise<boolean>;
